## wmaker 0.95.5

=== WINGs/Examples/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# WINGs/Examples/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/WindowMaker
pkgincludedir = $(includedir)/WindowMaker
pkglibdir = $(libdir)/WindowMaker
pkglibexecdir = $(libexecdir)/WindowMaker
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
noinst_PROGRAMS = connect$(EXEEXT) server$(EXEEXT) fontl$(EXEEXT) \
	puzzle$(EXEEXT) colorpick$(EXEEXT)
subdir = WINGs/Examples
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
	$(top_srcdir)/m4/ld-version-script.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/windowmaker.m4 \
	$(top_srcdir)/m4/wm_attributes.m4 \
	$(top_srcdir)/m4/wm_libmath.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
colorpick_SOURCES = colorpick.c
colorpick_OBJECTS = colorpick.$(OBJEXT)
colorpick_LDADD = $(LDADD)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
connect_SOURCES = connect.c
connect_OBJECTS = connect.$(OBJEXT)
fontl_SOURCES = fontl.c
fontl_OBJECTS = fontl.$(OBJEXT)
fontl_LDADD = $(LDADD)
puzzle_SOURCES = puzzle.c
puzzle_OBJECTS = puzzle.$(OBJEXT)
puzzle_LDADD = $(LDADD)
server_SOURCES = server.c
server_OBJECTS = server.$(OBJEXT)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC    " $@;
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD  " $@;
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN   " $@;
SOURCES = colorpick.c connect.c fontl.c puzzle.c server.c
DIST_SOURCES = colorpick.c connect.c fontl.c puzzle.c server.c
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/jaqque/wmaker/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/jaqque/wmaker/missing --run tar
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} /home/jaqque/wmaker/missing --run autoconf
AUTOHEADER = ${SHELL} /home/jaqque/wmaker/missing --run autoheader
AUTOMAKE = ${SHELL} /home/jaqque/wmaker/missing --run automake-1.11
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -Wno-deprecated -Wno-deprecated-declarations
CPP = gcc -E
CPPFLAGS =  -D_XOPEN_SOURCE=600
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FCLIBS = -lfontconfig  
FGREP = /bin/grep -F
GFXLIBS = 
GREP = /bin/grep
HEADER_SEARCH_PATH = -I${includedir} 
ICONEXT = xpm
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLIBS = 
LD = /usr/bin/ld
LDFLAGS = 
LIBBSD = 
LIBM = -lm
LIBOBJS = 
LIBRARY_SEARCH_PATH = -L${libdir} 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBXINERAMA = 
LIBXMU = -lXmu
LIBXRANDR = 
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/jaqque/wmaker/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
MOFILES = 
NLSDIR = $(prefix)/lib/locale
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = WindowMaker
PACKAGE_BUGREPORT = 
PACKAGE_NAME = WindowMaker
PACKAGE_STRING = WindowMaker 0.95.5
PACKAGE_TARNAME = WindowMaker
PACKAGE_URL = http://www.windowmaker.org/
PACKAGE_VERSION = 0.95.5
PATH_SEPARATOR = :
PKGCONFIG = pkg-config
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
UTILMOFILES = 
VERSION = 0.95.5
WINGSMOFILES = 
WINGS_VERSION = 2:1:0
WPMOFILES = 
WRASTER_VERSION = 4:1:1
WUTIL_VERSION = 3:0:0
XCFLAGS = 
XFTCONFIG = pkg-config xft
XFTFLAGS = -I/usr/include/freetype2  
XFTLIBS = -lXft  
XGETTEXT = 
XLFLAGS = 
XLIBS = -lXext -lXext -lX11 
XMKMF = 
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBRARY_PATH = 
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
abs_builddir = /home/jaqque/wmaker/WINGs/Examples
abs_srcdir = /home/jaqque/wmaker/WINGs/Examples
abs_top_builddir = /home/jaqque/wmaker
abs_top_srcdir = /home/jaqque/wmaker
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
inc_search_path = -I${includedir} 
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/jaqque/wmaker/install-sh
lcov_output_directory = 
lib_search_path = -L${libdir} 
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
menutextdomain = 
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pixmapdir = ${datadir}/pixmaps
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
supported_locales = be bg bs ca cs da de el es et fi fr gl hr hu hy it ja ko ms nl no pl pt ro ru sk sv tr zh_CN zh_TW
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
wprefs_bindir = ${exec_prefix}/bin
wprefs_datadir = ${datarootdir}/WPrefs
AUTOMAKE_OPTIONS = 
LDADD = $(top_builddir)/WINGs/libWINGs.la $(top_builddir)/wrlib/libwraster.la \
	$(top_builddir)/WINGs/libWUtil.la \
	-lXft   

colorpick_DEPENDENCIES = $(top_builddir)/WINGs/libWINGs.la
fontl_DEPENDENCIES = $(top_builddir)/WINGs/libWINGs.la
puzzle_DEPENDENCIES = $(top_builddir)/WINGs/libWINGs.la
connect_DEPENDENCIES = $(top_builddir)/WINGs/libWUtil.la
connect_LDADD = $(top_builddir)/WINGs/libWUtil.la -L${libdir}  
server_DEPENDENCIES = $(top_builddir)/WINGs/libWUtil.la
server_LDADD = $(top_builddir)/WINGs/libWUtil.la -L${libdir}  
AM_CPPFLAGS = -I$(top_srcdir)/WINGs -I$(top_srcdir)/wrlib -I$(top_srcdir)/src \
	-DRESOURCE_PATH=\"$(datadir)/WINGs\" -I${includedir} 

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu WINGs/Examples/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu WINGs/Examples/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list
colorpick$(EXEEXT): $(colorpick_OBJECTS) $(colorpick_DEPENDENCIES) 
	@rm -f colorpick$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(colorpick_OBJECTS) $(colorpick_LDADD) $(LIBS)
connect$(EXEEXT): $(connect_OBJECTS) $(connect_DEPENDENCIES) 
	@rm -f connect$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(connect_OBJECTS) $(connect_LDADD) $(LIBS)
fontl$(EXEEXT): $(fontl_OBJECTS) $(fontl_DEPENDENCIES) 
	@rm -f fontl$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(fontl_OBJECTS) $(fontl_LDADD) $(LIBS)
puzzle$(EXEEXT): $(puzzle_OBJECTS) $(puzzle_DEPENDENCIES) 
	@rm -f puzzle$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(puzzle_OBJECTS) $(puzzle_LDADD) $(LIBS)
server$(EXEEXT): $(server_OBJECTS) $(server_DEPENDENCIES) 
	@rm -f server$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(server_OBJECTS) $(server_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/colorpick.Po
include ./$(DEPDIR)/connect.Po
include ./$(DEPDIR)/fontl.Po
include ./$(DEPDIR)/puzzle.Po
include ./$(DEPDIR)/server.Po

.c.o:
	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	$(AM_V_CC) \
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	$(AM_V_CC) \
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
#	$(AM_V_CC) \
#	source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \

=== WINGs/Extras/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# WINGs/Extras/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.






pkgdatadir = $(datadir)/WindowMaker
pkgincludedir = $(includedir)/WindowMaker
pkglibdir = $(libdir)/WindowMaker
pkglibexecdir = $(libexecdir)/WindowMaker
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
noinst_PROGRAMS = test$(EXEEXT)
subdir = WINGs/Extras
DIST_COMMON = $(include_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
	$(top_srcdir)/m4/ld-version-script.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/windowmaker.m4 \
	$(top_srcdir)/m4/wm_attributes.m4 \
	$(top_srcdir)/m4/wm_libmath.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(includedir)"
LTLIBRARIES = $(lib_LTLIBRARIES)
libExtraWINGs_la_LIBADD =
am_libExtraWINGs_la_OBJECTS = wtableview.lo wtabledelegates.lo
libExtraWINGs_la_OBJECTS = $(am_libExtraWINGs_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
PROGRAMS = $(noinst_PROGRAMS)
test_SOURCES = test.c
test_OBJECTS = test.$(OBJEXT)
am__DEPENDENCIES_1 = $(top_builddir)/WINGs/libWINGs.la \
	$(top_builddir)/wrlib/libwraster.la \
	$(top_builddir)/WINGs/libWUtil.la
test_DEPENDENCIES = wtableview.o wtabledelegates.o \
	$(am__DEPENDENCIES_1)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC    " $@;
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD  " $@;
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN   " $@;
SOURCES = $(libExtraWINGs_la_SOURCES) test.c
DIST_SOURCES = $(libExtraWINGs_la_SOURCES) test.c
HEADERS = $(include_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/jaqque/wmaker/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/jaqque/wmaker/missing --run tar
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} /home/jaqque/wmaker/missing --run autoconf
AUTOHEADER = ${SHELL} /home/jaqque/wmaker/missing --run autoheader
AUTOMAKE = ${SHELL} /home/jaqque/wmaker/missing --run automake-1.11
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -Wno-deprecated -Wno-deprecated-declarations
CPP = gcc -E
CPPFLAGS =  -D_XOPEN_SOURCE=600
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FCLIBS = -lfontconfig  
FGREP = /bin/grep -F
GFXLIBS = 
GREP = /bin/grep
HEADER_SEARCH_PATH = -I${includedir} 
ICONEXT = xpm
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLIBS = 
LD = /usr/bin/ld
LDFLAGS = 
LIBBSD = 
LIBM = -lm
LIBOBJS = 
LIBRARY_SEARCH_PATH = -L${libdir} 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBXINERAMA = 
LIBXMU = -lXmu
LIBXRANDR = 
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/jaqque/wmaker/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
MOFILES = 
NLSDIR = $(prefix)/lib/locale
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = WindowMaker
PACKAGE_BUGREPORT = 
PACKAGE_NAME = WindowMaker
PACKAGE_STRING = WindowMaker 0.95.5
PACKAGE_TARNAME = WindowMaker
PACKAGE_URL = http://www.windowmaker.org/
PACKAGE_VERSION = 0.95.5
PATH_SEPARATOR = :
PKGCONFIG = pkg-config
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
UTILMOFILES = 
VERSION = 0.95.5
WINGSMOFILES = 
WINGS_VERSION = 2:1:0
WPMOFILES = 
WRASTER_VERSION = 4:1:1
WUTIL_VERSION = 3:0:0
XCFLAGS = 
XFTCONFIG = pkg-config xft
XFTFLAGS = -I/usr/include/freetype2  
XFTLIBS = -lXft  
XGETTEXT = 
XLFLAGS = 
XLIBS = -lXext -lXext -lX11 
XMKMF = 
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBRARY_PATH = 
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
abs_builddir = /home/jaqque/wmaker/WINGs/Extras
abs_srcdir = /home/jaqque/wmaker/WINGs/Extras
abs_top_builddir = /home/jaqque/wmaker
abs_top_srcdir = /home/jaqque/wmaker
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
inc_search_path = -I${includedir} 

# is this a kluge? if so, how should i do it?
includedir = ${prefix}/include/WINGs
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/jaqque/wmaker/install-sh
lcov_output_directory = 
lib_search_path = -L${libdir} 
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
menutextdomain = 
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pixmapdir = ${datadir}/pixmaps
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
supported_locales = be bg bs ca cs da de el es et fi fr gl hr hu hy it ja ko ms nl no pl pt ro ru sk sv tr zh_CN zh_TW
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
wprefs_bindir = ${exec_prefix}/bin
wprefs_datadir = ${datarootdir}/WPrefs
AUTOMAKE_OPTIONS = 
include_HEADERS = wtableview.h wtabledelegates.h 
lib_LTLIBRARIES = libExtraWINGs.la
EXTRA_DIST = 
libExtraWINGs_la_SOURCES = \
	wtableview.c \
	wtabledelegates.c \
	wtableview.h \
	wtabledelegates.h 

AM_CPPFLAGS = -I$(top_srcdir)/wrlib -I$(top_srcdir)/WINGs \
	-DRESOURCE_PATH=\"$(datadir)/WINGs\" -I${includedir} 

LDADD = $(top_builddir)/WINGs/libWINGs.la $(top_builddir)/wrlib/libwraster.la \
	$(top_builddir)/WINGs/libWUtil.la \
	-lXft   

test_LDADD = wtableview.o wtabledelegates.o $(LDADD)
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu WINGs/Extras/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu WINGs/Extras/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
	list2=; for p in $$list; do \
	  if test -f $$p; then \
	    list2="$$list2 $$p"; \
	  else :; fi; \
	done; \
	test -z "$$list2" || { \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
	}

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
	for p in $$list; do \
	  $(am__strip_dir) \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libExtraWINGs.la: $(libExtraWINGs_la_OBJECTS) $(libExtraWINGs_la_DEPENDENCIES) 
	$(AM_V_CCLD)$(LINK) -rpath $(libdir) $(libExtraWINGs_la_OBJECTS) $(libExtraWINGs_la_LIBADD) $(LIBS)

clean-noinstPROGRAMS:

=== WINGs/Tests/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# WINGs/Tests/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/WindowMaker
pkgincludedir = $(includedir)/WindowMaker
pkglibdir = $(libdir)/WindowMaker
pkglibexecdir = $(libexecdir)/WindowMaker
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
noinst_PROGRAMS = wtest$(EXEEXT) wmquery$(EXEEXT) wmfile$(EXEEXT) \
	testmywidget$(EXEEXT)
subdir = WINGs/Tests
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
	$(top_srcdir)/m4/ld-version-script.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/windowmaker.m4 \
	$(top_srcdir)/m4/wm_attributes.m4 \
	$(top_srcdir)/m4/wm_libmath.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am_testmywidget_OBJECTS = testmywidget.$(OBJEXT) mywidget.$(OBJEXT)
testmywidget_OBJECTS = $(am_testmywidget_OBJECTS)
testmywidget_LDADD = $(LDADD)
testmywidget_DEPENDENCIES = $(top_builddir)/WINGs/libWINGs.la \
	$(top_builddir)/wrlib/libwraster.la \
	$(top_builddir)/WINGs/libWUtil.la
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
wmfile_SOURCES = wmfile.c
wmfile_OBJECTS = wmfile.$(OBJEXT)
wmfile_LDADD = $(LDADD)
wmfile_DEPENDENCIES = $(top_builddir)/WINGs/libWINGs.la \
	$(top_builddir)/wrlib/libwraster.la \
	$(top_builddir)/WINGs/libWUtil.la
wmquery_SOURCES = wmquery.c
wmquery_OBJECTS = wmquery.$(OBJEXT)
wmquery_LDADD = $(LDADD)
wmquery_DEPENDENCIES = $(top_builddir)/WINGs/libWINGs.la \
	$(top_builddir)/wrlib/libwraster.la \
	$(top_builddir)/WINGs/libWUtil.la
wtest_SOURCES = wtest.c
wtest_OBJECTS = wtest.$(OBJEXT)
wtest_LDADD = $(LDADD)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC    " $@;
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD  " $@;
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN   " $@;
SOURCES = $(testmywidget_SOURCES) wmfile.c wmquery.c wtest.c
DIST_SOURCES = $(testmywidget_SOURCES) wmfile.c wmquery.c wtest.c
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/jaqque/wmaker/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/jaqque/wmaker/missing --run tar
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} /home/jaqque/wmaker/missing --run autoconf
AUTOHEADER = ${SHELL} /home/jaqque/wmaker/missing --run autoheader
AUTOMAKE = ${SHELL} /home/jaqque/wmaker/missing --run automake-1.11
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -Wno-deprecated -Wno-deprecated-declarations
CPP = gcc -E
CPPFLAGS =  -D_XOPEN_SOURCE=600
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FCLIBS = -lfontconfig  
FGREP = /bin/grep -F
GFXLIBS = 
GREP = /bin/grep
HEADER_SEARCH_PATH = -I${includedir} 
ICONEXT = xpm
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLIBS = 
LD = /usr/bin/ld
LDFLAGS = 
LIBBSD = 
LIBM = -lm
LIBOBJS = 
LIBRARY_SEARCH_PATH = -L${libdir} 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBXINERAMA = 
LIBXMU = -lXmu
LIBXRANDR = 
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/jaqque/wmaker/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
MOFILES = 
NLSDIR = $(prefix)/lib/locale
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = WindowMaker
PACKAGE_BUGREPORT = 
PACKAGE_NAME = WindowMaker
PACKAGE_STRING = WindowMaker 0.95.5
PACKAGE_TARNAME = WindowMaker
PACKAGE_URL = http://www.windowmaker.org/
PACKAGE_VERSION = 0.95.5
PATH_SEPARATOR = :
PKGCONFIG = pkg-config
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
UTILMOFILES = 
VERSION = 0.95.5
WINGSMOFILES = 
WINGS_VERSION = 2:1:0
WPMOFILES = 
WRASTER_VERSION = 4:1:1
WUTIL_VERSION = 3:0:0
XCFLAGS = 
XFTCONFIG = pkg-config xft
XFTFLAGS = -I/usr/include/freetype2  
XFTLIBS = -lXft  
XGETTEXT = 
XLFLAGS = 
XLIBS = -lXext -lXext -lX11 
XMKMF = 
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBRARY_PATH = 
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
abs_builddir = /home/jaqque/wmaker/WINGs/Tests
abs_srcdir = /home/jaqque/wmaker/WINGs/Tests
abs_top_builddir = /home/jaqque/wmaker
abs_top_srcdir = /home/jaqque/wmaker
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
inc_search_path = -I${includedir} 
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/jaqque/wmaker/install-sh
lcov_output_directory = 
lib_search_path = -L${libdir} 
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
menutextdomain = 
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pixmapdir = ${datadir}/pixmaps
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
supported_locales = be bg bs ca cs da de el es et fi fr gl hr hu hy it ja ko ms nl no pl pt ro ru sk sv tr zh_CN zh_TW
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
wprefs_bindir = ${exec_prefix}/bin
wprefs_datadir = ${datarootdir}/WPrefs
AUTOMAKE_OPTIONS = 
LDADD = $(top_builddir)/WINGs/libWINGs.la $(top_builddir)/wrlib/libwraster.la \
	$(top_builddir)/WINGs/libWUtil.la \
	-lXft   

testmywidget_SOURCES = testmywidget.c mywidget.c mywidget.h 
wtest_DEPENDENCIES = $(top_builddir)/WINGs/libWINGs.la
EXTRA_DIST = logo.xpm upbtn.xpm wm.html wm.png
AM_CPPFLAGS = -I$(top_srcdir)/WINGs -I$(top_srcdir)/wrlib -I$(top_srcdir)/src \
	-DRESOURCE_PATH=\"$(datadir)/WINGs\" -I/usr/include/freetype2   -I${includedir} 

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu WINGs/Tests/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu WINGs/Tests/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list
testmywidget$(EXEEXT): $(testmywidget_OBJECTS) $(testmywidget_DEPENDENCIES) 
	@rm -f testmywidget$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(testmywidget_OBJECTS) $(testmywidget_LDADD) $(LIBS)
wmfile$(EXEEXT): $(wmfile_OBJECTS) $(wmfile_DEPENDENCIES) 
	@rm -f wmfile$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(wmfile_OBJECTS) $(wmfile_LDADD) $(LIBS)
wmquery$(EXEEXT): $(wmquery_OBJECTS) $(wmquery_DEPENDENCIES) 
	@rm -f wmquery$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(wmquery_OBJECTS) $(wmquery_LDADD) $(LIBS)
wtest$(EXEEXT): $(wtest_OBJECTS) $(wtest_DEPENDENCIES) 
	@rm -f wtest$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(wtest_OBJECTS) $(wtest_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/mywidget.Po
include ./$(DEPDIR)/testmywidget.Po
include ./$(DEPDIR)/wmfile.Po
include ./$(DEPDIR)/wmquery.Po
include ./$(DEPDIR)/wtest.Po

.c.o:
	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	$(AM_V_CC) \
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	$(AM_V_CC) \
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
#	$(AM_V_CC) \
#	source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \

=== wrlib/tests/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# wrlib/tests/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/WindowMaker
pkgincludedir = $(includedir)/WindowMaker
pkglibdir = $(libdir)/WindowMaker
pkglibexecdir = $(libexecdir)/WindowMaker
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
noinst_PROGRAMS = testdraw$(EXEEXT) testgrad$(EXEEXT) testrot$(EXEEXT) \
	view$(EXEEXT)
subdir = wrlib/tests
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
	$(top_srcdir)/m4/ld-version-script.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/windowmaker.m4 \
	$(top_srcdir)/m4/wm_attributes.m4 \
	$(top_srcdir)/m4/wm_libmath.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am_testdraw_OBJECTS = testdraw.$(OBJEXT)
testdraw_OBJECTS = $(am_testdraw_OBJECTS)
testdraw_DEPENDENCIES = $(LIBLIST)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am_testgrad_OBJECTS = testgrad.$(OBJEXT)
testgrad_OBJECTS = $(am_testgrad_OBJECTS)
testgrad_DEPENDENCIES = $(LIBLIST)
am_testrot_OBJECTS = testrot.$(OBJEXT)
testrot_OBJECTS = $(am_testrot_OBJECTS)
testrot_DEPENDENCIES = $(LIBLIST)
am_view_OBJECTS = view.$(OBJEXT)
view_OBJECTS = $(am_view_OBJECTS)
view_DEPENDENCIES = $(LIBLIST)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC    " $@;
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD  " $@;
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN   " $@;
SOURCES = $(testdraw_SOURCES) $(testgrad_SOURCES) $(testrot_SOURCES) \
	$(view_SOURCES)
DIST_SOURCES = $(testdraw_SOURCES) $(testgrad_SOURCES) \
	$(testrot_SOURCES) $(view_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/jaqque/wmaker/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/jaqque/wmaker/missing --run tar
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} /home/jaqque/wmaker/missing --run autoconf
AUTOHEADER = ${SHELL} /home/jaqque/wmaker/missing --run autoheader
AUTOMAKE = ${SHELL} /home/jaqque/wmaker/missing --run automake-1.11
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -Wno-deprecated -Wno-deprecated-declarations
CPP = gcc -E
CPPFLAGS =  -D_XOPEN_SOURCE=600
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FCLIBS = -lfontconfig  
FGREP = /bin/grep -F
GFXLIBS = 
GREP = /bin/grep
HEADER_SEARCH_PATH = -I${includedir} 
ICONEXT = xpm
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLIBS = 
LD = /usr/bin/ld
LDFLAGS = 
LIBBSD = 
LIBM = -lm
LIBOBJS = 
LIBRARY_SEARCH_PATH = -L${libdir} 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBXINERAMA = 
LIBXMU = -lXmu
LIBXRANDR = 
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/jaqque/wmaker/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
MOFILES = 
NLSDIR = $(prefix)/lib/locale
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = WindowMaker
PACKAGE_BUGREPORT = 
PACKAGE_NAME = WindowMaker
PACKAGE_STRING = WindowMaker 0.95.5
PACKAGE_TARNAME = WindowMaker
PACKAGE_URL = http://www.windowmaker.org/
PACKAGE_VERSION = 0.95.5
PATH_SEPARATOR = :
PKGCONFIG = pkg-config
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
UTILMOFILES = 
VERSION = 0.95.5
WINGSMOFILES = 
WINGS_VERSION = 2:1:0
WPMOFILES = 
WRASTER_VERSION = 4:1:1
WUTIL_VERSION = 3:0:0
XCFLAGS = 
XFTCONFIG = pkg-config xft
XFTFLAGS = -I/usr/include/freetype2  
XFTLIBS = -lXft  
XGETTEXT = 
XLFLAGS = 
XLIBS = -lXext -lXext -lX11 
XMKMF = 
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBRARY_PATH = 
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
abs_builddir = /home/jaqque/wmaker/wrlib/tests
abs_srcdir = /home/jaqque/wmaker/wrlib/tests
abs_top_builddir = /home/jaqque/wmaker
abs_top_srcdir = /home/jaqque/wmaker
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
inc_search_path = -I${includedir} 
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/jaqque/wmaker/install-sh
lcov_output_directory = 
lib_search_path = -L${libdir} 
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
menutextdomain = 
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pixmapdir = ${datadir}/pixmaps
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
supported_locales = be bg bs ca cs da de el es et fi fr gl hr hu hy it ja ko ms nl no pl pt ro ru sk sv tr zh_CN zh_TW
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
wprefs_bindir = ${exec_prefix}/bin
wprefs_datadir = ${datarootdir}/WPrefs
AUTOMAKE_OPTIONS = 
EXTRA_DIST = test.png tile.xpm ballot_box.xpm 
AM_CPPFLAGS = -I$(srcdir)/.. $(DFLAGS) -I${includedir} 
LIBLIST = $(top_builddir)/wrlib/libwraster.la
testdraw_SOURCES = testdraw.c
testdraw_LDADD = $(LIBLIST)
testgrad_SOURCES = testgrad.c
testgrad_LDADD = $(LIBLIST)
testrot_SOURCES = testrot.c
testrot_LDADD = $(LIBLIST)
view_SOURCES = view.c
view_LDADD = $(LIBLIST)
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu wrlib/tests/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu wrlib/tests/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list
testdraw$(EXEEXT): $(testdraw_OBJECTS) $(testdraw_DEPENDENCIES) 
	@rm -f testdraw$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(testdraw_OBJECTS) $(testdraw_LDADD) $(LIBS)
testgrad$(EXEEXT): $(testgrad_OBJECTS) $(testgrad_DEPENDENCIES) 
	@rm -f testgrad$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(testgrad_OBJECTS) $(testgrad_LDADD) $(LIBS)
testrot$(EXEEXT): $(testrot_OBJECTS) $(testrot_DEPENDENCIES) 
	@rm -f testrot$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(testrot_OBJECTS) $(testrot_LDADD) $(LIBS)
view$(EXEEXT): $(view_OBJECTS) $(view_DEPENDENCIES) 
	@rm -f view$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(view_OBJECTS) $(view_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/testdraw.Po
include ./$(DEPDIR)/testgrad.Po
include ./$(DEPDIR)/testrot.Po
include ./$(DEPDIR)/view.Po

.c.o:
	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	$(AM_V_CC) \
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	$(AM_V_CC) \
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
#	$(AM_V_CC) \
#	source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	set x; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \

=== debian/changelog ===
wmaker (0.95.5-2ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add Unity Greeter icon.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 01 Jan 2014 20:27:17 -0500

wmaker (0.95.5-2) unstable; urgency=low

  * New patch debian/patches/56_ungif_problem.diff. [Closes: #733353]
    This patch removes the link against -lungif.
  * Bumped to standard version 3.9.5. No changes.

 -- Rodolfo García Peñas (kix) <kix@debian.org>  Tue, 31 Dec 2013 00:20:43 +0100

wmaker (0.95.5-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add Unity Greeter icon.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 26 Oct 2013 17:22:01 -0400

wmaker (0.95.5-1) unstable; urgency=low

  * New upstream version 0.95.5. [Closes: #723840]
    - New WUtil library version 3.
      - Updated debian/control file, replacing libwutil2 with libwutil3.
      - Files moved in debian folder:
        - libwutil2.changelog-upstream -> libwutil3.changelog-upstream
        - libwutil2.install -> libwutil3.install
      - Removed file libwutil2.symbols
      - New file libwutil3.symbols
  * "Build-Depends: libtiff5-dev" in packages wmaker and libwraster3-dev,
    since libtiff-dev introduces dependency to libtiff4 which is in oldlibs.
  * Included the word "WindowMaker" in the wmaker package description,
    to found it easily. [Closes: #685424]

 -- Rodolfo García Peñas (kix) <kix@debian.org>  Sun, 22 Sep 2013 10:08:02 +0200

=== debian/control ===
Source: wmaker
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Rodolfo García Peñas (kix) <kix@debian.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), automake (>= 1:1.11), gettext,
 libfontconfig1-dev, libjpeg-dev, libpng-dev, libsm-dev, libtiff5-dev,
 libtool, libgif-dev, libx11-dev, libxext-dev, libxft-dev, libxinerama-dev,
 libxkbfile-dev, libxpm-dev, libxt-dev, libxrender-dev, sharutils, libxmu-dev,
 libxrandr-dev, dctrl-tools, autotools-dev
Homepage: http://windowmaker.org/

Package: wmaker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wmaker-common (>= 0.95.0+20111028-3)
Provides: x-window-manager
Suggests: wmaker-data, menu, x11-apps, x-terminal-emulator, desktop-base
Description: NeXTSTEP-like window manager for X
 Written by Alfredo Kojima almost from scratch, resembles the NeXTStep look
 very closely, and it is now an official GNU project. Window Maker (originally
 named WindowMaker) is not overloaded with features, and it is easier to
 configure than most other window managers. Its final goal is to produce a
 window manager that doesn't require editing of configuration files.
 Window Maker is fast and doesn't require tons of memory to run.

Package: wmaker-common
Architecture: all
Depends: ${misc:Depends}
Suggests: wmaker
Replaces: wmaker (<< 0.95.0+20111028-3)
Breaks: wmaker (<< 0.95.0+20111028-3)
Description: Window Maker - Architecture independent files
 Written by Alfredo Kojima almost from scratch, resembles the NeXTStep look
 very closely, and it is now an official GNU project. Window Maker (originally
 named WindowMaker) is not overloaded with features, and it is easier to
 configure than most other window managers. Its final goal is to produce a
 window manager that doesn't require editing of configuration files.
 Window Maker is fast and doesn't require tons of memory to run.
 .
 This package contains the architecture independent files.

Package: libwraster3-dev
Architecture: any
Section: libdevel
Depends: libwraster3 (= ${binary:Version}), libc6-dev, libx11-dev,
 libxext-dev, libxpm-dev, libjpeg-dev, libpng-dev, libgif-dev,
 libtiff5-dev, ${misc:Depends}
Provides: libwraster-dev
Description: Static libraries and headers of Window Maker rasterizer
 This library is used to manipulate images and convert them to
 a format that can be displayed through the X window system.
 Read the wraster.h header for an idea of what is available
 .
 Contains libwraster and header files, for manipulating and
 rasterizing images.

Package: libwraster3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Shared libraries of Window Maker rasterizer
 This library is used to manipulate images and convert them to
 a format that can be displayed through the X window system.
 Read the wraster.h header for an idea of what is available

Package: libwings-dev
Architecture: any
Section: libdevel
Depends: libc6-dev, libx11-dev, libxext-dev, libwraster3-dev, libxft-dev,
 libfontconfig1-dev, libwutil3 (= ${binary:Version}),
 libwings2 (= ${binary:Version}), ${misc:Depends}
Description: Window Maker's own widget set
 WINGs Is Not GNUstep (WINGs) is a small widget set with the NeXTSTEP
 look and feel. Its API is inspired in OpenSTEP and its
 implementation borrows some ideas from Tk. It has a reasonable set of
 widgets, sufficient for building small applications like a CDPlayer
 or hacking something like rxvt. It is used for basic widgets in
 the WindowMaker window manager.

Package: libwutil3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Window Maker's own widget set - utility library
 WINGs Is Not GNUstep (WINGs) is a small widget set with the NeXTSTEP
 look and feel. Its API is inspired in OpenSTEP and its
 implementation borrows some ideas from Tk. It has a reasonable set of
 widgets, sufficient for building small applications like a CDPlayer
 or hacking something like rxvt. It is used for basic widgets in
 the WindowMaker window manager.
 .
 This package contains the libWUtils runtime library.

Package: libwings2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Window Maker's own widget set - runtime library
 WINGs Is Not GNUstep (WINGs) is a small widget set with the NeXTSTEP
 look and feel. Its API is inspired in OpenSTEP and its
 implementation borrows some ideas from Tk. It has a reasonable set of
 widgets, sufficient for building small applications like a CDPlayer
 or hacking something like rxvt. It is used for basic widgets in
 the WindowMaker window manager.
 .
 This package contains the libWINGs runtime library.

Package: wmaker-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libwraster3 (= ${binary:Version}) | libwings2 (= ${binary:Version}) |
 libwutil3 (= ${binary:Version}) | wmaker (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for WindowMaker packages
 Written by Alfredo Kojima almost from scratch, resembles the NeXTStep look
 very closely, and it is now an official GNU project. Window Maker is not
 overloaded with features, and it is easier to configure than most other window
 managers. Its final goal is to produce a window manager that doesn't require
 editing of configuration files. Window Maker is fast and doesn't require tons
 of memory to run.
 .
 This package contains debugging symbols for Window Maker and its core
 libraries (libWINGs, libWutils, libwraster).

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1
export CFLAGS = `dpkg-buildflags --get CFLAGS`
export DEB_CFLAGS_MAINT_APPEND += -Wall -DGLOBAL_DEFAULTS_SUBDIR="\\\"GNUstep/Defaults\\\""
export LDFLAGS = `dpkg-buildflags --get LDFLAGS`
export CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`

LINGUAS           := $(patsubst po/%.po, %, $(wildcard po/*.po))

WMAKER_OPTIONS := --disable-locale --enable-modelock --enable-xinerama 
#not-enabled      --enable-usermenu --disable-shape --disable-shm --enable-xrandr
#not-enabled      --disable-xpm --disable-png --disable-jpeg --disable-gif --disable-tiff

# Debian packages destination folder
DEBIAN_TMP        := debian/tmp

# Be careful with the leading / because some of these values are going
# to be hardcoded into the executables
BASEDIR           := /usr
CONFDIR           := /etc
INCLUDEDIR        := $(BASEDIR)/include
SHAREDIR          := $(BASEDIR)/share
MANDIR            := $(SHAREDIR)/man
NLSDIR            := $(SHAREDIR)/locale
GNUSTEPDIR        := $(SHAREDIR)/lib/GNUstep/System
WMSHAREDIR        := $(SHAREDIR)/WindowMaker
PIXMAPDIR         := $(INCLUDEDIR)/X11/pixmaps

COMMON_OPTIONS    := --prefix=$(BASEDIR)              \
                     --mandir=$(MANDIR)               \
                     --includedir=$(INCLUDEDIR)       \
                     --sysconfdir=$(CONFDIR)          \
                     --datadir=$(SHAREDIR)            \
                     --with-nlsdir=$(NLSDIR)          \
                     --with-pixmapdir=$(PIXMAPDIR)    \
                     --with-gnustepdir=$(GNUSTEPDIR)

%:
	dh $@ --parallel --with autotools-dev 

override_dh_auto_configure:
	./autogen.sh
	LINGUAS="$(LINGUAS)" ./configure $(COMMON_OPTIONS) \
	$(WMAKER_OPTIONS) $(shell dpkg-buildflags --export=configure)

override_dh_installmenu:
	dh_installmenu -a --noscripts

override_dh_install:
	# Fix perms for /usr/share/WindowMaker/*sh before install them
	chmod +x $(DEBIAN_TMP)$(WMSHAREDIR)/autostart.sh
	chmod +x $(DEBIAN_TMP)$(WMSHAREDIR)/exitscript.sh

	# Readmes - Copy+rename before install
	# We use the root of the temporal directory debian/tmp
	cp po/README $(DEBIAN_TMP)/README.po
	cp README.definable-cursor $(DEBIAN_TMP)/README.definable-cursor
	cp WPrefs.app/README $(DEBIAN_TMP)/README.WPrefs
	cp WPrefs.app/po/README $(DEBIAN_TMP)/README.WPrefs.po

	# Now, change the #wmdatadir# string to $(WMSHAREDIR)
	perl -pi -e 's:#wmdatadir#:$(WMSHAREDIR):' `find $(DEBIAN_TMP)/$(WMSHAREDIR) -name plmenu.*`
	perl -pi -e 's:#wmdatadir#:$(WMSHAREDIR):' $(DEBIAN_TMP)$(WMSHAREDIR)/wmmacros
	perl -pi -e 's:#wmdatadir#:$(WMSHAREDIR):' $(DEBIAN_TMP)$(WMSHAREDIR)/plmenu

	# Install files
	dh_install

override_dh_strip:
	dh_strip --dbg-package=wmaker-dbg

=== debian/watch ===
version=3
http://windowmaker.org/pub/source/release/WindowMaker-([\d+|\.]+).tar.gz
